package com.ruoyi.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.system.domain.InfoUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.PosReviewMapper;
import com.ruoyi.system.domain.PosReview;
import com.ruoyi.system.service.IPosReviewService;

/**
 * reviewService业务层处理
 * 
 * @author ruoyi
 * @date 2023-06-08
 */
@Service
public class PosReviewServiceImpl extends ServiceImpl<BaseMapper<PosReview>,PosReview> implements IPosReviewService
{
    @Autowired
    private PosReviewMapper posReviewMapper;

    /**
     * 查询review
     * 
     * @param id review主键
     * @return review
     */
    @Override
    public PosReview selectPosReviewById(Long id)
    {
        return posReviewMapper.selectPosReviewById(id);
    }

    /**
     * 查询review列表
     * 
     * @param posReview review
     * @return review
     */
    @Override
    public List<PosReview> selectPosReviewList(PosReview posReview)
    {
        return posReviewMapper.selectPosReviewList(posReview);
    }

    /**
     * 新增review
     * 
     * @param posReview review
     * @return 结果
     */
    @Override
    public int insertPosReview(PosReview posReview)
    {
        return posReviewMapper.insertPosReview(posReview);
    }

    /**
     * 修改review
     * 
     * @param posReview review
     * @return 结果
     */
    @Override
    public int updatePosReview(PosReview posReview)
    {
        return posReviewMapper.updatePosReview(posReview);
    }

    /**
     * 批量删除review
     * 
     * @param ids 需要删除的review主键
     * @return 结果
     */
    @Override
    public int deletePosReviewByIds(Long[] ids)
    {
        return posReviewMapper.deletePosReviewByIds(ids);
    }

    /**
     * 删除review信息
     * 
     * @param id review主键
     * @return 结果
     */
    @Override
    public int deletePosReviewById(Long id)
    {
        return posReviewMapper.deletePosReviewById(id);
    }
}
